Bug 212775 - graphics/nplot: Update to 0.9.11
Summary: graphics/nplot: Update to 0.9.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-17 17:26 UTC by Carsten Larsen
Modified: 2016-10-07 07:14 UTC (History)
1 user (show)

See Also:


Attachments
nplot-0.9.11.diff (4.29 KB, patch)
2016-09-17 17:26 UTC, Carsten Larsen
cs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Larsen 2016-09-17 17:26:58 UTC
Created attachment 174885 [details]
nplot-0.9.11.diff

Update 0.9.10 -> 0.9.11

- Changed master site to github
- Added pkg-config file
- Updated license
- Updated WWW site

porlint:
  no errors
  (WARN: Makefile: possible use of absolute pathname "/p:Configuration=Rel...")

poudriere:
  no errors

Also tested the library reference is found by xbuild.
Comment 1 Kurt Jaeger freebsd_committer 2016-10-06 20:11:30 UTC
Testbuilds are OK, committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-10-06 20:11:59 UTC
A commit references this bug:

Author: pi
Date: Thu Oct  6 20:11:19 UTC 2016
New revision: 423440
URL: https://svnweb.freebsd.org/changeset/ports/423440

Log:
  graphics/nplot: 0.9.10 -> 0.9.11

  - Changed master site to github
  - Added pkg-config file
  - Updated license
  - Updated WWW site

  PR:		212775
  Submitted by:	Carsten Larsen <cs@innolan.dk> (maintainer)

Changes:
  head/graphics/nplot/Makefile
  head/graphics/nplot/distinfo
  head/graphics/nplot/files/
  head/graphics/nplot/files/Dynamic.key
  head/graphics/nplot/files/NPlot.pc.in
  head/graphics/nplot/pkg-descr
Comment 3 commit-hook freebsd_committer 2016-10-07 07:14:43 UTC
A commit references this bug:

Author: pi
Date: Fri Oct  7 07:13:40 UTC 2016
New revision: 423453
URL: https://svnweb.freebsd.org/changeset/ports/423453

Log:
  graphics/nplot: USE_OPENSSL -> USES=ssl

  PR:		212775
  Submitted by:	mat

Changes:
  head/graphics/nplot/Makefile